# Changelog

This changelog documents notable updates to the Pex AI Song Detector API, including new features, improvements, and model attribution enhancements.

#### v6 - May 22, 2026

Improved:

* Further reduced false positives in challenging edge cases.

#### v5 - April 16, 2026

Added:

* Introduced **new model attribution classifier**: **Google Lyria**.

Improved:

* Increased detection accuracy, especially for **ElevenLabs** and **Boomy** songs.

#### v4 - February 24, 2026

Improved:

* Improved model attribution accuracy.
* Increased overall detection accuracy, with the focus on reducing false positives in challenging edge cases.

#### v3 - January 28, 2026

Added:

* Introduced **two new model attribution classifiers**: **Mureka** and **Sonauto**.
* The model attribution classifier supports a defined set of platforms listed above.\
  Detection of AI-generated music is broader and not limited to these platforms. In such cases, `predicted_model` may be `null`.

#### v2 - January 7, 2026

Added:

* **Model attribution classifier** to identify which model most likely generated the queried song, when the detector has strong attribution confidence.
  * New response fields:
    * `predicted_model` (string)
    * `predicted_model_score` (float)
* Expanded attribution coverage with targeted improvements for **ElevenLabs** and **Boomy**, while maintaining broad attribution across other leading AI music generators.

Improved:

* **Higher detection accuracy**: internal evaluation shows an estimated **\~10% relative lift** versus v1 (varies by content type, genre, and audio quality).

#### v1 - December 1, 2025

Added:

* **Initial release** of the Pex AI Song Detector API.
* **Broad support** across major AI music generation platforms.
* **Per-request confidence scoring** via `ai_score`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pex.com/ai-song-detector/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
